"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.wipeAuthData = exports.setTwoFactorApiError = exports.setRegisterApiError = exports.setAuthApiError = exports.setTwoFactorAuthCodeError = exports.setTwoFactorAuthCode = exports.setUserNameError = exports.setUserName = exports.setRepeatPasswordError = exports.setRepeatPassword = exports.setPasswordError = exports.setPassword = exports.setEmailError = exports.setEmail = exports.userSlice = void 0;
var toolkit_1 = require("@reduxjs/toolkit");
// Initial state
var initialState = {
    email: "",
    username: "",
    password: "",
    repeatPassword: "",
    twoFactorAuthCode: "",
    // errors
    emailError: undefined,
    usernameError: undefined,
    passwordError: undefined,
    repeatPasswordError: undefined,
    twoFactorAuthCodeError: undefined,
    authApiError: undefined,
    registerApiError: undefined,
    twoFactorAuthApiError: undefined,
};
// Actual Slice
exports.userSlice = (0, toolkit_1.createSlice)({
    name: "authData",
    initialState: initialState,
    reducers: {
        setEmail: function (state, action) {
            state.email = action.payload;
        },
        setEmailError: function (state, action) {
            state.emailError = action.payload;
        },
        setUserName: function (state, action) {
            state.username = action.payload;
        },
        setUserNameError: function (state, action) {
            state.usernameError = action.payload;
        },
        setPassword: function (state, action) {
            state.password = action.payload;
        },
        setPasswordError: function (state, action) {
            state.passwordError = action.payload;
        },
        setRepeatPassword: function (state, action) {
            state.repeatPassword = action.payload;
        },
        setRepeatPasswordError: function (state, action) {
            state.repeatPasswordError = action.payload;
        },
        setTwoFactorAuthCode: function (state, action) {
            state.twoFactorAuthCode = action.payload;
        },
        setTwoFactorAuthCodeError: function (state, action) {
            state.twoFactorAuthCodeError = action.payload;
        },
        setAuthApiError: function (state, action) {
            state.authApiError = action.payload;
        },
        setRegisterApiError: function (state, action) {
            state.registerApiError = action.payload;
        },
        setTwoFactorApiError: function (state, action) {
            state.twoFactorAuthApiError = action.payload;
        },
        wipeAuthData: function (state) {
            state = Object.assign({}, initialState);
        },
    },
});
//make the actions visible
exports.setEmail = (_a = exports.userSlice.actions, _a.setEmail), exports.setEmailError = _a.setEmailError, exports.setPassword = _a.setPassword, exports.setPasswordError = _a.setPasswordError, exports.setRepeatPassword = _a.setRepeatPassword, exports.setRepeatPasswordError = _a.setRepeatPasswordError, exports.setUserName = _a.setUserName, exports.setUserNameError = _a.setUserNameError, exports.setTwoFactorAuthCode = _a.setTwoFactorAuthCode, exports.setTwoFactorAuthCodeError = _a.setTwoFactorAuthCodeError, exports.setAuthApiError = _a.setAuthApiError, exports.setRegisterApiError = _a.setRegisterApiError, exports.setTwoFactorApiError = _a.setTwoFactorApiError, exports.wipeAuthData = _a.wipeAuthData;
//make the slice connectable to the store
var authReducer = exports.userSlice.reducer;
exports.default = authReducer;
