"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.wipeUserData = exports.setUserData = exports.userSlice = void 0;
var toolkit_1 = require("@reduxjs/toolkit");
// Initial state
var initialState = {
    userData: undefined,
    userPermissions: undefined,
};
// Actual Slice
exports.userSlice = (0, toolkit_1.createSlice)({
    name: "userData",
    initialState: initialState,
    reducers: {
        setUserData: function (state, action) {
            state.userData = action.payload.user;
            state.userPermissions = action.payload.permissions;
        },
        wipeUserData: function (state) {
            state.userData = undefined;
            state.userPermissions = undefined;
        },
    },
});
//make the actions visible
exports.setUserData = (_a = exports.userSlice.actions, _a.setUserData), exports.wipeUserData = _a.wipeUserData;
//make the slice connectable to the store
var userReducer = exports.userSlice.reducer;
exports.default = userReducer;
