var _a;
import { createSlice } from "@reduxjs/toolkit";
// Initial state
var initialState = {
    email: "",
    username: "",
    password: "",
    repeatPassword: "",
    twoFactorAuthCode: "",
    // errors
    emailError: undefined,
    usernameError: undefined,
    passwordError: undefined,
    repeatPasswordError: undefined,
    twoFactorAuthCodeError: undefined,
    authApiError: undefined,
    registerApiError: undefined,
    twoFactorAuthApiError: undefined,
};
// Actual Slice
export var userSlice = createSlice({
    name: "authData",
    initialState: initialState,
    reducers: {
        setEmail: function (state, action) {
            state.email = action.payload;
        },
        setEmailError: function (state, action) {
            state.emailError = action.payload;
        },
        setUserName: function (state, action) {
            state.username = action.payload;
        },
        setUserNameError: function (state, action) {
            state.usernameError = action.payload;
        },
        setPassword: function (state, action) {
            state.password = action.payload;
        },
        setPasswordError: function (state, action) {
            state.passwordError = action.payload;
        },
        setRepeatPassword: function (state, action) {
            state.repeatPassword = action.payload;
        },
        setRepeatPasswordError: function (state, action) {
            state.repeatPasswordError = action.payload;
        },
        setTwoFactorAuthCode: function (state, action) {
            state.twoFactorAuthCode = action.payload;
        },
        setTwoFactorAuthCodeError: function (state, action) {
            state.twoFactorAuthCodeError = action.payload;
        },
        setAuthApiError: function (state, action) {
            state.authApiError = action.payload;
        },
        setRegisterApiError: function (state, action) {
            state.registerApiError = action.payload;
        },
        setTwoFactorApiError: function (state, action) {
            state.twoFactorAuthApiError = action.payload;
        },
        wipeAuthData: function (state) {
            state = Object.assign({}, initialState);
        },
    },
});
//make the actions visible
export var setEmail = (_a = userSlice.actions, _a.setEmail), setEmailError = _a.setEmailError, setPassword = _a.setPassword, setPasswordError = _a.setPasswordError, setRepeatPassword = _a.setRepeatPassword, setRepeatPasswordError = _a.setRepeatPasswordError, setUserName = _a.setUserName, setUserNameError = _a.setUserNameError, setTwoFactorAuthCode = _a.setTwoFactorAuthCode, setTwoFactorAuthCodeError = _a.setTwoFactorAuthCodeError, setAuthApiError = _a.setAuthApiError, setRegisterApiError = _a.setRegisterApiError, setTwoFactorApiError = _a.setTwoFactorApiError, wipeAuthData = _a.wipeAuthData;
//make the slice connectable to the store
var authReducer = userSlice.reducer;
export default authReducer;
