var _a;
import { createSlice } from "@reduxjs/toolkit";
// Initial state
var initialState = {
    userData: undefined,
    userPermissions: undefined,
};
// Actual Slice
export var userSlice = createSlice({
    name: "userData",
    initialState: initialState,
    reducers: {
        setUserData: function (state, action) {
            state.userData = action.payload.user;
            state.userPermissions = action.payload.permissions;
        },
        wipeUserData: function (state) {
            state.userData = undefined;
            state.userPermissions = undefined;
        },
    },
});
//make the actions visible
export var setUserData = (_a = userSlice.actions, _a.setUserData), wipeUserData = _a.wipeUserData;
//make the slice connectable to the store
var userReducer = userSlice.reducer;
export default userReducer;
